.btn{
    -webkit-transition: all 0.3s ease-in-out, margin 0s ease-in-out !important;
    -moz-transition: all 0.3s ease-in-out, margin 0s ease-in-out !important;
    -o-transition: all 0.3s ease-in-out, margin 0s ease-in-out !important;
    transition: all 0.3s ease-in-out, margin 0s ease-in-out !important;
    font-weight: 400 !important;
    border-radius: 5px !important;
    text-transform: none !important;
    letter-spacing: normal !important;
    padding: 0 16px !important;
    border-radius: 5px !important;
    font-size: 13px !important;
}

.btn i{
    font-size: 13px;
    float: left;
}

.btn span{
    float: right;
}

a.btn:hover, div.btn:hover{
    box-shadow: none !important;
}

.btn:not(.mat-icon-button) i,
.btn:not(.mat-icon-button) .icon{
    margin-right: 12px;
}

.btn.iconButton{
	padding: 0px !important;
	min-width: 0px;
	width: 36px;
        text-align: center;
}

.btn.iconButton i, .btn.iconButton .icon{
	margin-right: 0px;
        float: none;
}

.btn.iconButton2{
	height: 40px;
	width: 40px;
    line-height: 40px;
    text-align: center;
    font-size: 14px;
	position: relative;
	color: #fff;
	padding: 0px;
	min-width: 0px;
	-webkit-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
	border-radius: 40px !important;
	overflow: hidden;
}

.btn.iconButton2 i,
.btn.iconButton2 .icon{
	margin: 0px;
}

.btn.smallButton{
	height: 28px;
	line-height: 28px;
}

.btn.greenButton{
	background: #3ccb79;
	color: #fff !important;
	box-shadow: 5px 5px 5px rgba(60, 203, 121, 0.4) !important;
}

.btn:not(.empty).greenButton i{
	color: #fff !important;
}

.btn.greenButton.empty{
	border: 1px solid #3ccb79 !important;
	color: #3ccb79 !important;
	background: #fff !important;
	box-shadow: 5px 5px 5px rgba(60, 203, 121, 0.2) !important;
}

.btn.greenButton.empty .mat-ripple-element{
	background-color: rgba(60, 203, 121, 0.2);
}

.btn.yellowButton{
	background: #ddc000;
	color: #fff !important;
	box-shadow: 5px 5px 5px rgba(221, 192, 0, 0.4) !important;
}

.btn:not(.empty).yellowButton i{
	color: #fff !important;
}

.btn.yellowButton.empty{
	border: 1px solid #ddc000 !important;
	color: #ddc000 !important;
	background: #fff !important;
	box-shadow: 5px 5px 5px rgba(221, 192, 0, 0.2) !important;
}

.btn.yellowButton.empty .mat-ripple-element{
	background-color: rgba(221, 192, 0, 0.2);
}

.btn.grayButton.empty{
	border: 1px solid #cccfde !important;
	color: #cccfde !important;
	background: #fff !important;
	box-shadow: 5px 5px 5px rgba(160, 160, 160, 0.2) !important;
}

.btn.grayButton.empty .mat-ripple-element{
	background-color: rgba(160, 160, 160, 0.2);
}

.btn.darkGrayButton.empty{
	border: 1px solid #cccfde !important;
	color: #a3a8bd !important;
	background: #fff !important;
	box-shadow: 5px 5px 5px rgba(144, 149, 171, 0.2) !important;
}

.btn.darkGrayButton.empty .mat-ripple-element{
	background-color: rgba(144, 149, 171, 0.2);
}

.btn.violetButton{
	background: #6556e7;
	color: #fff !important;
	box-shadow: 5px 5px 5px rgba(101, 86, 231, 0.4) !important;
}

.btn:not(.empty).violetButton i{
	color: #fff !important;
}

.btn.violetButton.empty{
	border: 1px solid #6556e7 !important;
	color: #6556e7 !important;
	background: #fff !important;
	box-shadow: 5px 5px 5px rgba(101, 86, 231, 0.2) !important;
}

.btn.violetButton.empty .mat-ripple-element{
	background-color: rgba(101, 86, 231, 0.2);
}

.btn.pinkButton{
	background: #e65dd1;
	color: #fff !important;
	box-shadow: 5px 5px 5px rgba(230, 93, 209, 0.4) !important;
}

.btn:not(.empty).pinkButton i{
	color: #fff !important;
}

.btn.pinkButton.empty{
	border: 1px solid #e65dd1 !important;
	color: #e65dd1 !important;
	background: #fff !important;
	box-shadow: 5px 5px 5px rgba(230, 93, 209, 0.2) !important;
}

.btn.pinkButton.empty .mat-ripple-element{
	background-color: rgba(230, 93, 209, 0.2);
}

.btn.blueButton{
	background: #337ae2;
	color: #fff !important;
	box-shadow: 5px 5px 5px rgba(51, 122, 226, 0.4) !important;
}

.btn:not(.empty).blueButton i{
	color: #fff !important;
}

.btn.blueButton.empty{
	border: 1px solid #337ae2 !important;
	color: #337ae2 !important;
	background: #fff !important;
	box-shadow: 5px 5px 5px rgba(51, 122, 226, 0.2) !important;
}

.btn.blueButton.empty .mat-ripple-element{
	background-color: rgba(51, 122, 226, 0.2);
}

.btn.whiteButton{
	background: #fff;
	color: #cccfde !important;
	box-shadow: 5px 5px 5px rgba(255, 255, 255, 0.4) !important;
}

.btn.whiteButton.greenColor{
	color: #3ccb79 !important;
}

.btn.whiteButton.redColor{
	color: #ea2727 !important;
}

.btn.whiteButton.orangeColor{
	color: #ce7b22 !important;
}

.btn.redButton{
	background: #ea2727;
	color: #fff !important;
	box-shadow: 5px 5px 5px rgba(234, 39, 39, 0.4) !important;
}

.btn:not(.empty).redButton i{
	color: #fff !important;
}

.btn.redButton.empty{
	border: 1px solid #ea2727 !important;
	color: #ea2727 !important;
	background: #fff !important;
	box-shadow: 5px 5px 5px rgba(234, 39, 39, 0.2) !important;
}

.btn.redButton.empty .mat-ripple-element{
	background-color: rgba(234, 39, 39, 0.2);
}

.btn.redButtonIcon{
	color: #ea2727 !important;
}

.btn.redButtonIcon .mat-ripple-element{
	background-color: rgba(234, 39, 39, 1);
}

.btn.disabledButton{
	color: #fff !important;
	box-shadow: none !important;
	background: #cccfde !important;
	cursor: default; 
}

.btn.disabledButton.empty{
	border: 1px solid #cccfde !important;
	color: #a3a8bd !important;
	box-shadow: none !important;
	background: #fff !important;
}

.btn.disabledButton .mat-ripple-element{
	background-color: transparent !important;
}

button:hover, .btn.empty:hover{
	box-shadow: none !important;
}

.facebook i, .google i,
.facebook .icon, .google .icon{
    margin-right: 20px;
}

.facebook{
	background: #3b5998;
	color: #fff !important;
	box-shadow: 5px 5px 5px #9db7ec !important;
}

.google{
	background: #e53935;
	color: #fff !important;
	box-shadow: 5px 5px 5px #f1a2a0 !important;
}

.btn.dashboardButton{
	position: absolute;
	right: 10px;
	bottom: 10px;
	z-index: 1;
}

.btn.mainPageButton{
    height: 50px;
    width: 215px;
}

.btn.mainPageButton i,
.btn.mainPageButton .icon{
    display: none;
}

button span.shortLabel{
    display: none;
}

.btn.noMarginRightGridButton{
	margin-right: 0px !important;
}

.btn.marginTopGridButton{
	margin-top: 10px !important;
}